   /*******************************************************/
   /*      "C" Language Integrated Production System      */
   /*                                                     */
   /*                  A Product Of The                   */
   /*             Software Technology Branch              */
   /*             NASA - Johnson Space Center             */
   /*                                                     */
   /*             CLIPS Version 5.10  07/17/91            */
   /*                                                     */
   /*                  BUILD HEADER FILE                  */
   /*******************************************************/

/*************************************************************/
/* Purpose:                                                  */
/*                                                           */
/* Principal Programmer(s):                                  */
/*      Gary D. Riley                                        */
/*                                                           */
/* Contributing Programmer(s):                               */
/*                                                           */
/* Revision History:                                         */
/*                                                           */
/*************************************************************/

#ifndef _H_build

#define _H_build

#ifdef LOCALE
#undef LOCALE
#endif

#ifdef _BUILD_SOURCE_
#define LOCALE
#else
#define LOCALE extern
#endif

#if ANSI_COMPILER
   LOCALE struct joinNode               *ConstructJoins(struct patternNode **);
   LOCALE struct patternNode            *NetworkPointer(void);
   LOCALE VOID                           SetNetworkPointer(struct patternNode *);
   LOCALE VOID                           DetachJoins(struct joinNode *);
#else
   LOCALE struct joinNode               *ConstructJoins();
   LOCALE struct patternNode            *NetworkPointer();
   LOCALE VOID                           SetNetworkPointer();
   LOCALE VOID                           DetachJoins();
#endif
  
#endif






