   /*******************************************************/
   /*      "C" Language Integrated Production System      */
   /*                                                     */
   /*                  A Product Of The                   */
   /*             Software Technology Branch              */
   /*             NASA - Johnson Space Center             */
   /*                                                     */
   /*             CLIPS Version 5.10  07/17/91            */
   /*                                                     */
   /*                RETRACT HEADER FILE                  */
   /*******************************************************/

/*************************************************************/
/* Purpose:                                                  */
/*                                                           */
/* Principal Programmer(s):                                  */
/*      Gary D. Riley                                        */
/*                                                           */
/* Contributing Programmer(s):                               */
/*                                                           */
/* Revision History:                                         */
/*                                                           */
/*************************************************************/

#ifndef _H_retract
#define _H_retract

#include "match.h" 
#include "network.h"

#ifdef LOCALE
#undef LOCALE
#endif

#ifdef _RETRACT_SOURCE_
#define LOCALE
#else
#define LOCALE extern
#endif

#if ANSI_COMPILER
LOCALE VOID                           NetworkRetract(struct patternMatch *,long int);
LOCALE VOID                           PosEntryRetract(int,struct joinNode *,long int,int);
LOCALE struct partialMatch           *DeletePartialMatches(long int,struct partialMatch *,int *,int,int);
LOCALE VOID                           ReturnPartialMatch(struct partialMatch *);
LOCALE VOID                           FlushGarbagePartialMatches(void);
#else
LOCALE VOID                           NetworkRetract();
LOCALE VOID                           PosEntryRetract();
LOCALE struct partialMatch           *DeletePartialMatches();
LOCALE VOID                           ReturnPartialMatch();
LOCALE VOID                           FlushGarbagePartialMatches();
#endif

#ifndef _RETRACT_SOURCE_
   extern struct partialMatch        *GarbagePartialMatches;
   extern struct alphaMatch          *GarbageAlphaMatches;
#endif

#endif



