/********************************** xsetup.h **********************************/
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/*        Authors:  BeBe Ly - NASA/Johnson Space Center                       */
/*                  Daniel J. McCoy - University of Houston-Downtown          */
/*                                                                            */
/******************************************************************************/

#define ThreeD    0


#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>
#include <X11/Xutil.h>
#include <X11/keysym.h>

#include <X11/Xaw/Command.h>
#include <X11/Xaw/AsciiText.h>
#include <X11/Xaw/Dialog.h>
#include <X11/Xaw/MenuButton.h>
#include <X11/Xaw/Paned.h>
#include <X11/Xaw/SimpleMenu.h>
#include <X11/Xaw/SmeBSB.h>
#include <X11/Xaw/SmeLine.h>
#include <X11/Xaw/Viewport.h>
#include <X11/Xaw/List.h>
#include <X11/Xaw/Toggle.h>

#if ThreeD
#include <X11/Xcw/Command3D.h>
#include <X11/Xcw/MenuButton3D.h>
#include <X11/Xcw/SimpleMenu3D.h>
#include <X11/Xcw/SmeBSB3D.h>

#define labelWidgetClass       label3DWidgetClass
#define commandWidgetClass     command3DWidgetClass
#define menuButtonWidgetClass  menuButton3DWidgetClass
#define smeBSBObjectClass      smeBSB3DObjectClass
#define simpleMenuWidgetClass  simpleMenu3DWidgetClass
#define XtNlabel               XtNlabel3D
#endif

