   /*******************************************************/
   /*      "C" Language Integrated Production System      */
   /*                                                     */
   /*                  A Product Of The                   */
   /*             Software Technology Branch              */
   /*             NASA - Johnson Space Center             */
   /*                                                     */
   /*             CLIPS Version 5.10 07/17/91             */
   /*                                                     */
   /*                SYSPRIME HEADER FILE                 */
   /*******************************************************/

/*************************************************************/
/* Purpose:                                                  */
/*                                                           */
/* Principal Programmer(s):                                  */
/*      Gary D. Riley                                        */
/*                                                           */
/* Contributing Programmer(s):                               */
/*                                                           */
/* Revision History:                                         */
/*                                                           */
/*************************************************************/

#ifndef _H_sysprime

#define _H_sysprime

#include "evaluatn.h"

#ifdef LOCALE
#undef LOCALE
#endif

#ifdef _SYSPRIME_SOURCE_
#define LOCALE
#else
#define LOCALE extern
#endif

#if ANSI_COMPILER
   VOID                           GetVarSysFunction(DATA_OBJECT_PTR,void *);
#else
   VOID                           GetVarSysFunction();
#endif

#ifndef _SYSPRIME_SOURCE
extern int ReturnFlag, ReturnContext, BreakContext;
#endif

#endif






